My projects (or favourite projects)
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Because we have really long list of projects, some kind of Favourive projects should be nice. For example, I'm using

some projects every day (like our internal ones and most active projects of our clients). It can be nice for user to

mark same projects as their favourites. They can be displayed on project list page on the top before complete project

list or in right column...

What do you think?

Related issues:

Related to Redmine - Feature #7751: Filter projects dropdown menu Closed 2011-03-02

Related to Redmine - Feature #29482: Query system for Projects page Closed

Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed

Related to Redmine - Feature #32302: Filter projects after bookmarks Closed

History

#1 - 2008-05-21 12:00 - Anonymous

I just searched for 'my projects' because I was thinking it would be good to have a 'my projects' module for 'my page' so that when you go to 'my

page', its easy to get at the projects you are members of (without having to use the drop-down in the top right).

It could display exactly as the 'latest projects' box on the home page does, but just showing projects/sub-projects you are members of.

#2 - 2009-02-26 11:13 - Maxim Krušina

Yes, but because I'm project manager and owner of our company, I'm in almost all projects. When I search for "office" string, I still get 5 results and I

need to choose one correct. Maybe someone can say it's trivial, but these activities, when doing 200x per day are really frustrating ;)

My proposal:

Allow user to choose his favourite projects

In project list, there can be:

Two tabs: All projects / Favourite projects

or Checkbox: [x] Show only my favouire projects

#3 - 2009-02-26 13:09 - Benjamin Dieckmann

+1

#4 - 2009-02-26 13:15 - Jens Goldhammer

+1

#5 - 2011-03-14 16:49 - Syntactic Vexation

I don't know if anyone is still interested in this functionality but I've created a very simple Favourite Projects plugin here:

https://github.com/syntacticvexation/redmine_favourite_projects

It's very much alpha code, it's my first Ruby project but I'd be interested to know if it does the job for someone.

#6 - 2011-03-23 08:50 - Toshi MARUYAMA

- Category set to Projects

#7 - 2011-06-07 14:34 - Nicholas Kulikov
https://github.com/syntacticvexation/redmine_favourite_projects


Syntactic Vexation wrote:

I don't know if anyone is still interested in this functionality but I've created a very simple Favourite Projects plugin here:

https://github.com/syntacticvexation/redmine_favourite_projects

It's very much alpha code, it's my first Ruby project but I'd be interested to know if it does the job for someone.

 Thank you! We are going to test it! ;)

#8 - 2011-11-16 10:02 - Terence Mill

There is another plugin. what promise to do similar thing..

http://www.redmine.org/plugins/favorite_projects

#9 - 2011-12-21 15:12 - Gonzalo Garcia Jaubert

Not the same, but http://www.redmine.org/plugins/gsc_my_projects (https://github.com/generaldesoftware/RedMine-My-Projects-Plugin) is a plugin

I've created to better projects lists.

Suggestions and comments are welcome

#10 - 2015-05-08 22:23 - Jennifer Martinez

I know this feature is kind of outdated, but it would be nice if someone could help on migrating those functionalities to work on newer versions of

redmine.

Greetings.

#11 - 2018-09-04 00:54 - Marius BĂLTEANU

The patches from #29482 cover all the requests from this ticket. Using the "Project" filter, you can select specific projects or "my projects" that will

return all the projects where the current user is a member.

I think that is safe to close this ticket in favour of #29482.

#12 - 2018-09-04 00:57 - Marius BĂLTEANU

- Related to Feature #29482: Query system for Projects page added

#13 - 2019-10-20 17:20 - Marius BĂLTEANU

- Is duplicate of Feature #31355: Bookmarks and recently used projects for the project jump box added

#14 - 2019-10-20 17:20 - Marius BĂLTEANU

- Is duplicate of deleted (Feature #31355: Bookmarks and recently used projects for the project jump box)

#15 - 2019-10-20 17:21 - Marius BĂLTEANU

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added

#16 - 2019-10-20 17:21 - Marius BĂLTEANU

- Related to Feature #32302: Filter projects after bookmarks added

#17 - 2019-10-23 08:50 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

In the upcoming Redmine 4.1.0, you can mark your favourites projects using the bookmark feature (#31355) and you can filter them (#29482) after

your bookmarks (#32302). If something is missing, please reopen.
